# pycrs.elements.containers API documentation

Top

# pycrs.elements.containers module

## Classes

class CRS

### Ancestors (in MRO)

- CRS

### Methods

def __init__(

self, toplevel)

def to_esri_wkt(

self)

def to_ogc_wkt(

self)

def to_proj4(

self)

class Datum

### Ancestors (in MRO)

- Datum

### Methods

def __init__(

self, name, ellipsoid, datumshift=None)

Arguments:

- name: Specific datum name instance.
- ellipsoid: Ellipsoid parameter instance.

def to_esri_wkt(

self)

def to_geotiff(

self)

def to_ogc_wkt(

self)

def to_proj4(

self)

class Ellipsoid

### Ancestors (in MRO)

- Ellipsoid

### Methods

def __init__(

self, name, semimaj_ax=None, inv_flat=None)

Arguments:

- name: Specific ellipsoid name instance.

def to_esri_wkt(

self)

def to_geotiff(

self)

def to_ogc_wkt(

self)

def to_proj4(

self)

class GeogCS

### Ancestors (in MRO)

- GeogCS

### Methods

def __init__(

self, name, datum, prime_mer, angunit, twin_ax=None)

Arguments:

- name: Arbitrary name.

def to_esri_wkt(

self)

def to_ogc_wkt(

self)

def to_proj4(

self)

class ProjCS

### Ancestors (in MRO)

- ProjCS

### Methods

def __init__(

self, name, geogcs, proj, params, unit, twin_ax=None)

Arguments:

- name: Arbitrary name.

def to_esri_wkt(

self)

def to_ogc_wkt(

self)

def to_proj4(

self)

class Projection

### Ancestors (in MRO)

- Projection

### Methods

def __init__(

self, value)

def to_esri_wkt(

self)

def to_ogc_wkt(

self)

def to_proj4(

self)